Package: org.apache.groovy.groovysh.util.antlr4

## [Groovy] Class CurlyCountingGroovyLexer

- org.apache.groovy.groovysh.util.antlr4.CurlyCountingGroovyLexer

-     @CompileStatic
      class CurlyCountingGroovyLexer
      extends GroovyLangLexer

  patching GroovyLangLexer to get access to Paren level

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GroovyLexer` | `DQ_GSTRING_MODE, StringLiteral, VOCABULARY, _ATN, _serializedATN, channelNames, modeNames, ruleNames, tokenNames`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected CurlyCountingGroovyLexer(Reader reader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `countCurlyLevel()`
    `` | `static CurlyCountingGroovyLexer` | `createGroovyLexer(String src)`
    `` | `protected void` | `enterParenCallback(String text)`
    `` | `protected void` | `exitParenCallback(String text)`
    `` | `int` | `getCurlyLevel()`
    `` | `List<Token>` | `toList()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyLangLexer` | `recover, rollbackOneChar`
    `class GroovyLexer` | `action, emit, enterParenCallback, exitParenCallback, getChannelNames, getErrorColumn, getErrorLine, getGrammarFileName, getModeNames, getRuleNames, getSerializedATN, getSyntaxErrorSource, getTokenNames, getVocabulary, isErrorIgnored, popMode, rollbackOneChar, sempred, setErrorIgnored`

- - ### Constructor Detail

    - #### protected CurlyCountingGroovyLexer(Reader reader)

  - ### Method Detail

    - #### int countCurlyLevel()

    - #### static CurlyCountingGroovyLexer createGroovyLexer(String src)

    - #### @Override
      protected void enterParenCallback(String text)

    - #### @Override
      protected void exitParenCallback(String text)

    - #### int getCurlyLevel()

    - #### List<Token> toList()